<template>
  <input 
    :value="modelValue" 
    @input="undateInput" 
    class="input" 
    type="text"
  >
</template>

<script>
export default {
  name: 'my-input',
  props: {
    value: [String, Number]
  },
  methods: {
    updateInput(event) {
      this.$emit('update: modelValue', event.target.value)
    }
  }
}
</script>

<style>
.input {
  width: 100%;
  padding: 10px 15px;
  margin-top: 10px;
}
</style>